

0CD(1)                                                     0CD(1)


NAME
       0cd - cd-rom emulator

SYNOPSIS
       0cd [options] directory [directory ... ]

DESCRIPTION
       0cd emulates a cd-rom drive in a directory. Each directory
       specified is used to create a separate drive, each with
       consequtive drive letters.

OPTIONS
       -q[x]  Quiet mode; no text is displayed on the screen,
              except for any error messages. This is quiet mode
              0, or -q0 as it can be given. -q1 shows installation,
              mounting and special messages, while -q2 shows
              everything (default).

       -0     Host drive for a cd-rom drive (the drive the
              directory is on), and the cd-rom drive, both
              reports 0 bytes free, as a normal cd-rom drive
              would do.

       -w     Write-protect cd-rom drive. Any attempts to delete,
              create, modify or open files for writing will fail
              with a write-protect error.

       -f     If a program attempts to use a function which 0cd
              does not support, or a function which 0cd is not
              able to deduce a correct response to, you can use
              the -f option to make 0cd report a failure, usually
              a "unknown command" or a "command failed" result.
              The normal response is to simply return from 0cd
              with a result of "success".

       -a     Alternate simulation. When using the -a option,
              most of the audio functions, and some of the other
              functions as well will go through to the underlying
              dos bios to be handled there. The -a option is
              simply a "try if it works" option, and if all else
              fails, try the -a option.

       -lx    Set the start drive to create. Usually, 0cd selects
              the next available drive letter to use, and goes on
              from there. Use the -lx option to tell 0cd where to
              start. Remember that 0cd needs consequtive free
              drive letters.

       -sx    Supply speed of cd-rom drive. If the program
              attempts to read data directly from the cd-rom
              drive via the read functions in the cd-rom driver,
              it will do so at a speed approximately the speed of
              a double-speed drive. Use the -sx option to supply
              the speed of the drives. Legal speeds in x are 1,
              2, 3, 4, 6, 8 or s, where s is the maximum speed
              available (speed of memory)

       -ix    Set simulation type. The drives following the -ix
              option will simulate either a physical drive, a
              substed drive, or a remote drive (cd-roms are
              usually remote drives). Use the -ix option to
              select which to use. Legal values for x are 0, 1 or
              2, where 0 is physical, 1 is substed and 2 is
              remote.


LVK                         1995/12/24                          1





0CD(1)                                                     0CD(1)

       -mx    If a MSCDEX-compatible driver is already loaded,
              then 0cd will usually not load. Use the -mx option
              to force 0cd to load, and also to tell 0cd how to
              interact with the loaded driver. The legal values
              for x are 0 to 4, where 1 is default. 0 tells 0cd
              to disable the loaded driver, 1 is to abort, 2 is
              to enable audio through-put (see below), 3 is to
              enable MSCDEX co-existance (some functions goes
              through to MSCDEX) and 4 is both audio through-put
              and co-existance.

       -rname Tell 0cd what program to start when it has loaded.
              When 0cd has loaded, it looks to see if a batch
              file named 0CDSTART.BAT exists. If it does, 0cd
              runs this batch file, and when the batch file is
              finished, 0cd will uninstall itself. Use the -rname
              option to tell 0cd to run a different program or
              batch file. If no 0CDSTART.BAT exist, or the
              supplied program name (if any) does not exist, 0cd
              will shell out to dos. When the dos shell exits,
              0cd will uninstall itself.

       -dname Tell 0cd the name of the file to load data from for
              the following directories. With the accompanying
              utility RIPCD, you can create a datafile containing
              much of the data from the original cd. You can then
              use the -dname option to tell 0cd the name of this
              datafile, and 0cd will load it when it installs
              itself. When a program later calls 0cd to get some
              data, 0cd can use the data in this file to respond
              with the correct data from the original cd. This
              makes 0cd able to simulate and respond highly
              accurate. The -dname option works for all the
              directories specified after it on the command line,
              but you can have as many -dname options as there
              are directories.

       -v     Show revision information. The -v option simply
              shows the revision information the revision control
              system I use has generated. The use of the -v
              option is simply for reporting bugs and the like,
              so that I can see what version of the 0cd file you
              have.

       -tname Supply name of datafile with track info. See 0CD.DOC
              for more information about rearranging tracks.

       -c     Install 0cd as a device driver. Hooks into the
              device driver chain, so that programs can search this
              chain and find 0cd. Will respond as a normal (albeit
              simple) device driver.

LVK                         1996/03/19                          2





0CD(1)                                                     0CD(1)


       -tsr   Load 0cd as a resident program. You'll need the -u
              option to unload it again.

       -u     Unload the resident 0cd from memory


EXAMPLES
       Suppose you have the directory CDROM\ residing in the
       current directory, and the file CDROM.DAT also in the



       current directory. The file CDROM.DAT was generated by the
       following command:

              makecd cdrom.dat

       with the original cd in the cd-rom drive. The contents of
       the cd-rom has been copied to the CDROM\ directory. To
       simulate a cd-rom G: in this directory, with the data
       supplied, you can use the following command.

              0cd -lg -dcdrom.dat cdrom\

       This will load 0cd, and shell out to dos. You may in this
       dos-shell use the drive G: as any other drive. If you want
       0cd to load silently, use this command:

              0cd -q -lg -dcdrom.dat cdrom\

       where the -q option quiets 0cd down. If MSCDEX is already
       loaded, and you want to be able to use an audio cd in the
       cd-rom drive, add the -m2 option like this:

              0cd -q -m2 -lg -dcdrom.dat cdrom\

IDENTIFICATION
       Author: Lasse Vgsther Karlsen
       Manual Page Revision: 1.2; Release Date: 1996/03/19
       Manual Page Revision: 1.1; Release Date: 1996/03/01
       Manual Page Revision: 1.0; Release Date: 1995/12/24
       Copyright (C) 1994, 1995, 1996 Lasse Vgsther Karlsen

SEE ALSO
       FAKECD10.ZIP (nic.funet.fi/pub/msdos/utilities/?)














LVK                         1996/03/19                          3
